#ifndef E_TOOLS_H
#define E_TOOLS_H

int e_tools_unix_match(char *pat,char *s);
int e_tools_trim_eos(char *str,char *list);
int e_tools_del_strlist_item(char **l,int i);
int e_tools_add_strlist_item(char **l,char *item,int i,int size);
int e_tools_str_to_str_list(char *s,char **l,char *sep,int size);
int e_tools_is_an_int(char *s);
int e_tools_is_a_real(char *s);
int e_tools_has_no_spaces(char *s);
int e_tools_str_add(char *buff,char *s,int index,int size);
int e_tools_get_word(char *src, char *dst,char *sep,int col,int size);
int e_tools_str_subs(char *src,char *dst,char *search,char *subst,int size, 
                     int nb);
char *e_tools_str_to_upper(char *src);
char *e_tools_str_to_lower(char *src);
int e_tools_str_get_suffix(char *src,char sep);
int e_tools_hex_char_to_number(char c);
int e_tools_octal_char_to_number(char c);
int e_tools_escape_str(char *src,char *dst,int size);
int e_tools_read_line(FILE* fpt,char *Buff,int size);

void e_tools_print_aset(char *str,e_aset *asp, FILE *fp);
void e_tools_print_obj(char *str,e_obj *obj, FILE *fp);
void display_obj_type(void *e_obj,char *buff);

#endif




